using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using HistoryWallEditTool.Controls.PreviewControl;

namespace HistoryWallEditTool.Controls
{
    /// <summary>
    /// DisplaySettingControl.xaml 的互動邏輯
    /// </summary>
    public partial class DisplaySettingControl : UserControl
    {
        public DisplaySettingControl()
        {
            InitializeComponent();
            this.Loaded += (o, e) =>
            {
                uxTimelineSettingBtn.IsChecked = true;
                //uxScreenViewer.ScreenCount = Helper.Enum.ScreenSetting.Triple;
            };
        }

        private void RadioButton_Checked(object sender, RoutedEventArgs e)
        {
            RadioButton btn = sender as RadioButton;
            switch (btn.Name)
            {
                case "uxBackgroundSettingBtn":

                    uxViewbox.Child = (new RootController(Utilities.UtilityClass.SettingButton.BackgroundSetting, HistoryWall.WINDOW));
                    //uxViewbox.Child = new TestView();
                    break;
                case "uxTimelineSettingBtn":

                    uxViewbox.Child = (new RootController(Utilities.UtilityClass.SettingButton.TimelineSetting, HistoryWall.WINDOW));
                    break;
                case "uxExtentSettingBtn":

                    uxViewbox.Child = (new RootController(Utilities.UtilityClass.SettingButton.EventDetailSetting, HistoryWall.WINDOW));
                    break;
            }
        }
    }
}
